Subject: PKIPublicationInfo controls in CMP

From: [email-masked]
Date: Fri, 19 Mar 1999 18:52:44 GMT

The PKIPublicationInfo allows a certificate requestor to ask the CA/RA to
use a particular publication mechanism for an issued certificate, or to
leave publication to the EE.  What should a RA/CA do if it can't honor the
request?  For example, the EE may ask for publication in X.500, but the
RA/CA can't talk to an X.500 server.  Or policy may dictate that the RA or
CA always publish issued certs themselves, so an EE request for
self-publication can't be honored.

Should the CA/RA refuse to issue a cert if it can't honor the EE's
PKIPublicationInfo control, or should it go ahead and issue it anyway, and
publish it however it wants?  If the latter, how can it indicate to the EE
that the cert has been published in a different manner from that requested?

John